package io.netty.handler.ssl;

import java.io.File;
import java.io.InputStream;
import java.security.PrivateKey;

public interface PrivateKeyProvider {

    PrivateKey getPrivateKey(File privateKeyFile, String keyPassword);

    PrivateKey getPrivateKey(InputStream inputStream, String keyPassword);
}
